import { ElementRef } from '@angular/core';
import { TreeModel } from '../models/tree-view.model';
import { NgxTreeService } from '../ngx-tree-lib.service';
export declare class DragElementsDirective {
    private el;
    private treeService;
    constructor(el: ElementRef, treeService: NgxTreeService);
    item: TreeModel;
    draggableValue: boolean;
    readonly draggable: boolean;
    onDragStart(event: Event): void;
    onDrag(event: Event): void;
    onDragEnd(event: Event): void;
}
